<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Formulario Basico</title>
    <!-- <link rel="stylesheet" type="text/css" href="main.css" media="screen" />
    <script src="script.js"></script> -->
</head>
<body>
    <h1>Introducir los campos de las personas</h1>

    <form class="contenedorFormulario"  [formGroup]="formPersonas">
        <div class="formulario">
            <label for="usuario">Usuario</label>
            <input type="text"  id="usuario" name="usuario" formControlName="usuario" class="form-control" >
        </div>
        <div class="formulario">
            <label for="name">Nombre</label>
            <input type="text"  id="name" name="name" formControlName="name" class="form-control" >
        </div>
        <div class="formulario">
            <label for="apellido">Apellido </label>
            <input type="text" id="apellido" name="apellido" formControlName="surname">
        </div>
        <div class="formulario">
            <label for="contraseña">Contraseña</label>
            <input type="password"  id="contraseña" name="contraseña" formControlName="password" class="form-control" >
        </div>
        <div class="formulario">
            <label for="emailCompañia">Email de la compañia </label>
            <input type="email" id="emailCompañia" name="emailCompañia" formControlName="company_email" class="form-control" >
        </div>
        <div class="formulario">
            <label for="emailPersonal">Email personal</label>
            <input type="email" id="emailPersonal" name="emailPersonal" formControlName="personal_email" class="form-control" >
        </div>
        <div class="formulario">
            <label for="ciudad">Ciudad</label>
            <input type="text" id="ciudad" name="ciudad" formControlName="city" class="form-control" >
        </div>
        <div class="formulario">
            <label for="url">Url de la imagen</label>
            <input type="text"  id="url" name="url" formControlName="imagen_url"> 
        </div>
        <div class="formulario">
            <label for="fechaCreacion" >Fecha creacion</label>
            <input type="date"  id="fechaCreacion" name="fechaCreacion" formControlName="created_date" class="form-control" >
        </div>
        <div class="formulario">
            <label for="activado">Activado</label>
            <input type="checkbox"  id="activado" name="activado" formControlName="active">
        </div>
        <div class="formulario">
            <label for="fechaFinalizacion">Fecha finalizacion</label>
            <input type="date" id="fechaFinalizacion" name="fechaFinalizacion" formControlName="termination_date">
        </div>
        <div class="formulario">
            <button (click)="Anadir()">Añadir</button>
            <button (click)="limpiar()">Limpiar</button>
        </div>
        <!-- <input id="id" name="id" type="hidden" value=2 >  -->
    </form>
</body>

